[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. b8fc0917a03984a12557a2b797e50d1cdad072fd

Joachim Breitner mail at joachim-breitner.de
Thu Sep 11 20:38:07 UTC 2008


The following commit has been merged in the master branch:
commit b8fc0917a03984a12557a2b797e50d1cdad072fd
Merge: 6afdd770a4fb32a29fbe066758e76532f4064d62 2aa2b80d6338cfd896e7ac66dd6fca809a308216
Author: Joachim Breitner <mail at joachim-breitner.de>
Date:   Thu Sep 11 22:35:19 2008 +0200

    Merge commit 'alioth/master'

diff --combined install.sh
index ebb4f85,c414420..9774cdf
--- a/install.sh
+++ b/install.sh
@@@ -36,15 -36,14 +36,14 @@@ APT_RECOMMENDS=${APT_RECOMMENDS:-false
  DASH_BINSH=${DASH_BINSH:-true}
  FSO_MIRROR=${FSO_MIRROR:-http://pkg-fso.alioth.debian.org/debian}
  
- 
  # general variables
  VERSION=1.0
  TESTHOST=www.debian.org
  RDATEHOST=ntp.fu-berlin.de
  WPA_SUPPLICANT_CONF=/etc/wpa_supplicant/wpa_supplicant.conf
  DROPBEAR_KEYS="/etc/dropbear/dropbear_rsa_host_key /etc/dropbear/dropbear_dss_host_key"
 -KERNEL_IMAGE=http://downloads.openmoko.org/framework/milestone2/uImage-2.6.24+gitr0+7a1370a816b9348dd8f36a667905dd3533cefc9b-r4-om-gta02.bin
 -KERNEL_MODULES=http://downloads.openmoko.org/framework/milestone2/modules-2.6.24+gitr0+7a1370a816b9348dd8f36a667905dd3533cefc9b-r4-om-gta02.tgz
 +KERNEL_IMAGE=http://downloads.openmoko.org/framework/milestone3/uImage-2.6.24+r5+gitr1+ca19d156400f817960efe0d14680324b2ea34171-r5-om-gta02.bin
 +KERNEL_MODULES=http://downloads.openmoko.org/framework/milestone3/modules-2.6.24+r5+gitr1+ca19d156400f817960efe0d14680324b2ea34171-r5-om-gta02.tgz
  
  # cdebootstrap options
  # with packages for a basic debian with network connectivity
@@@ -65,6 -64,49 +64,49 @@@ UBOOT_ENV_SIZE=26214
  DOSFSTOOLS_PACKAGE=$INST_MIRROR/pool/main/d/dosfstools/dosfstools_2.11-6_armel.deb
  
  
+ #
+ # FUNCTIONS
+ #
+ 
+ # fight against auto-mounting
+ umount_all () {
+ 	for I in $(seq 0 9); do
+ 		if mount | grep -q ^${SD_DEVICE}p$I; then
+ 			echo "W: ${SD_DEVICE}p$I is mounted, unmounting"
+ 			umount ${SD_DEVICE}p$I
+ 			if mount | grep -q ^${SD_DEVICE}p$I; then
+ 				echo "E: Unmount failed"
+ 				exit 1
+ 			fi
+ 		fi
+ 	done
+ }
+ 
+ card_data_warning () {
+ 	cat <<__END__
+ Starting to $1 the microSD card
+ 
+ ***********
+ * WARNING *
+ ***********
+ 
+ This will destroy all the data on the microSD card!!!
+ 
+ Press any key within 5 seconds to quit
+ __END__
+ 
+ 	# since dash doesn't support 'read' -t and -n options, this script
+ 	# should be executed only by /bin/bash.  However, all official
+ 	# Openmoko images use busybox, which doesn't provide /bin/bash
+ 	read -t 5 -n 1 VAR || VAR=continue
+ 	if [ "$VAR" != "continue" ]; then
+ 		echo "E: aborting on user request"
+ 		exit 1
+ 	fi
+ 
+ }
+ 
+ 
  if [ $# -eq 0 ]; then
  #
  # Usage
@@@ -99,17 -141,17 +141,17 @@@ Variables
                     (default to false, possible values are false/true)
    DASH_BINSH       configure dash as default /bin/sh (default to true,
                     possible values are true/false)
-   FSO_MIRROR       the Debian FSO repository (default to 
+   FSO_MIRROR       the Debian FSO repository (default to
                     http://pkg-fso.alioth.debian.org/debian)
  
  
  Stages:
    all              Runs all the stages in the following order:
-    testing time partition mount debian apt fso configuration kernel unmount
+    testing time partition format mount debian apt fso configuration kernel unmount
    testing          Verifys that everything is in place for this
                     installer to work
    time             Fetches the current time from $RDATEHOST via rdate
-   partition        Partitions the microSD card found in $SD_DEVICE 
+   partition        Partitions the microSD card found in $SD_DEVICE
                     (WARNING, this will destroy all the data on the
                     microSD card unless the partioning is the same as
                     used before; this can be used to recover a broken
@@@ -156,50 -198,11 +198,11 @@@ f
  # let's the fun start!
  echo "Running stage $1"
  
- 
- umount_all () {
- 	for I in $(seq 0 9); do
- 		if mount | grep -q ^${SD_DEVICE}p$I; then
- 			echo "W: ${SD_DEVICE}p$I is mounted, unmounting"
- 			umount ${SD_DEVICE}p$I
- 			if mount | grep -q ^${SD_DEVICE}p$I; then
- 				echo "E: Unmount failed"
- 				exit 1
- 			fi
- 		fi
- 	done
- }
- 
- card_data_warning() {
- cat <<__END__
- Starting to $1 the microSD card
- 
- ***********
- * WARNING *
- ***********
- 
- This will destroy all the data on the microSD card!!!
- 
- Press any key within 5 seconds to quit
- __END__
- 
- 	# since dash doesn't support 'read' -t and -n options, this script
- 	# should be executed only by /bin/bash.  However, all official
- 	# Openmoko images use busybox, which doesn't provide /bin/bash
- 	read -t 5 -n 1 VAR || VAR=continue
- 	if [ "$VAR" != "continue" ]; then
- 		echo "E: aborting on user request"
- 		exit 1
- 	fi
- 
- }
- 
  case $1 in
  all)
  #
  # Stage all
  #
- 
  cat <<__END__
  I: Running all stages with these settings:
  I: hostname set to $HOSTNAME
@@@ -298,7 -301,6 +301,6 @@@ time
  #
  # Stage time
  #
- 
  echo "Fetching time from $RDATEHOST with rdate"
  rdate -s "$RDATEHOST"
  echo "I: Time is now `date`"
@@@ -361,9 -363,11 +363,11 @@@ echo " * Partition table created
  ;;
  
  format)
+ #
+ # Stage format
+ #
  echo
  card_data_warning format
- # fight against auto-mounting
  umount_all
  
  echo " * Formatting the microSD card partitions"
@@@ -378,7 -382,6 +382,6 @@@ mount
  #
  # Stage mount
  #
- 
  echo "Mounting the newly created system"
  mkdir -p $INST_DIR
  mount -t ext2 ${SD_DEVICE}p2 $INST_DIR
@@@ -392,7 -395,6 +395,6 @@@ debian
  #
  # Stage debian
  #
- 
  echo "Install a basic Debian system"
  
  echo " * Downloading cdebootstrap package"
@@@ -413,7 -415,6 +415,6 @@@ apt
  #
  # Stage apt
  #
- 
  echo "Configuring APT"
  
  echo " * Creating /etc/apt/sources.list"
@@@ -448,7 -449,6 +449,6 @@@ fso
  # Stage fso
  #
  # TODO
- 
  echo "Installing FSO-specific packages"
  chroot $INST_DIR /bin/sh -e <<__END_CHROOT__
  apt-get --yes install $FSO_PACKAGES
@@@ -462,7 -462,6 +462,6 @@@ configuration
  #
  # Stage configuration
  #
- 
  echo "Configuring system files"
  
  echo " * Creating /etc/pointercal for the touchscreen"
@@@ -559,8 -558,8 +558,8 @@@ echo 'dash dash/sh string $DASH_BINSH' 
  chroot $INST_DIR apt-get --yes --force-yes install dash
  
  if [ -f "$WPA_SUPPLICANT_CONF" ]; then
- 	echo " * Installing wpasupplicant, wireless-tools and dhcp3-client"
- 	chroot $INST_DIR apt-get --yes install wpasupplicant wireless-tools dhcp3-client
+ 	echo " * Installing wpasupplicant, wireless-tools and udhcpc"
+ 	chroot $INST_DIR apt-get --yes install wpasupplicant wireless-tools udhcpc
  	echo " * $WPA_SUPPLICANT_CONF copied from this machine"
  	cat >$INST_DIR$WPA_SUPPLICANT_CONF <$WPA_SUPPLICANT_CONF
  fi
@@@ -573,8 -572,6 +572,6 @@@ kernel
  #
  # Stage kernel
  #
- 
- 
  echo "Installing kernel image and modules"
  echo " * Dowloading kernel image"
  wget -O $INST_DIR/boot/uImage.bin $KERNEL_IMAGE
@@@ -591,7 -588,6 +588,6 @@@ uboot
  #
  # Stage uboot
  #
- 
  echo "Modifying U-Boot bootloader menu"
  
  if [ "$SD_PART1_FS" = "vfat" ]; then
@@@ -681,7 -677,6 +677,6 @@@ unmount
  #
  # Stage unmount
  #
- 
  echo "Unmounting microSD card partitions"
  umount $INST_DIR/boot
  umount $INST_DIR

-- 
Various non-packaged files



More information about the pkg-fso-commits mailing list